/**
 * @file wifiswitcher.hpp
 * @author Radim Buráň (xburan03@stud.fit.vutbr.cz)
 */

#ifndef WIFI_SWITCHER_H
#define WIFI_SWITCHER_H

#include "esp_wifi.h"
#include "lwip/ip4_addr.h"
#include "esp_netif.h"
#include "utility.hpp"

typedef enum {
    NONE,
    AP,
    STA
} status_t;

void switchToAP();

void switchToSTA();

void wifiStop();

#endif